/*
 * @Descripttion: 
 * @version: 
 * @Author: sueRimn
 * @Date: 2020-12-15 14:19:50
 * @LastEditors: sueRimn
 * @LastEditTime: 2020-12-17 16:02:43
 */
import { Component, OnInit } from '@angular/core';
//import {EchartsDataService} from '../../echarts-data.service';
declare var echarts: any;

@Component({
  selector: 'app-statistic-analysis',
  templateUrl: './statistic-analysis.component.html',
  styleUrls: ['./statistic-analysis.component.scss']
})
export class StatisticAnalysisComponent implements OnInit {

  constructor() { }

  ngOnInit(): void {
    window.setTimeout(()=>{
      this.initCharts()
    },0)
  }

  zhutu//柱状图实例
  zhiNameData =["浦东支队","黄浦支队","徐汇支队","长宁支队","静安支队","普陀支队","虹口支队","杨浦支队","闵行支队","宝山支队","嘉定支队"]
  staticExam=false//考试统计
  upStatic=false//发布考试统计
  //考试统计按钮
  staticecam(){
    this.staticExam=true
    this.upStatic=false
  }
  //发布考试按钮
  upexam(){
    this.staticExam=false
    this.upStatic=true
  }

  initCharts() {
    var detailPlanEchart = echarts.init(document.getElementById('zhidui'));
    var option = {
      xAxis: {
          type: 'category',
          data: this.zhiNameData,
          axisLabel:{
            fontSize:18,
            lineHeight:31,
          },
          axisLine:{
            show:false
          },
          splitLine:{
            show:false
          },
          axisTick:{
            show:false
          },
      },
      yAxis: {
          type: 'value',
          axisLabel:{
            fontSize:18,
            lineHeight:31
          },
          axisTick:{
            show:false
          },
          axisLine:{
            show:false
          },
          splitLine:{
            show:true,
            lineStyle:{
              opacity:0.2,
              type:'dashed'
          }
          },
          show:true
      },
      series: [{
          data: [160, 150,140,130, 120, 100,90, 80, 60, 40,30],
          type: 'bar',
          showBackground: true,
          backgroundStyle: {
              color: '#F2F5F6'
          },
          itemStyle:{
            color:"#FF8678",
            barBorderRadius:12
          },
          barWidth:"24px"
      }]
  };
  detailPlanEchart.setOption(option);
  }

}
